Bug 918134 - (CVE-2013-1812) CVE-2013-1812 ruby-openid: Vulnerable to XIE DoS attacks
CVE-2013-1812 ruby-openid: Vulnerable to XIE DoS attacks
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130220,reported=2...
: Security
Depends On: 918135
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-05 09:59 EST by Jan Lieskovsky
Modified: 2015-07-31 02:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 22:43:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-03-05 09:59:12 EST
A denial of service flaw was found in the way ruby-openid, a library for verifying and serving OpenID identities, performed processing of certain XML files. An OpenID provider could provide a specially-crafted XML file that, when processed would lead to excessive CPU consumption (denial of service).

References:
[1] https://github.com/openid/ruby-openid/pull/43
[2] https://bugzilla.novell.com/show_bug.cgi?id=804717
[3] http://www.openwall.com/lists/oss-security/2013/03/01/5
[4] http://www.openwall.com/lists/oss-security/2013/03/03/8

Relevant upstream patch:
[5] https://github.com/openid/ruby-openid/commit/a3693cef06049563f5b4e4824f4d3211288508ed
Comment 1 Jan Lieskovsky 2013-03-05 10:00:43 EST
This issue affects the versions of the ruby-openid package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-03-05 10:01:24 EST
Created ruby-openid tracking bugs for this issue

Affects: fedora-all [bug 918135]
Comment 3 Ken Dreyer 2013-10-29 11:49:04 EDT
For the record, this was fixed upstream in version 2.2.2 of the ruby-openid gem. This package has been renamed to rubygem-ruby-openid. https://admin.fedoraproject.org/updates/rubygem-ruby-openid
Comment 4 Fedora Update System 2013-11-07 23:31:22 EST
rubygem-ruby-openid-2.3.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-11-10 01:09:23 EST
rubygem-ruby-openid-2.3.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.